Page MenuHomePhabricator

publish mediawiki deployments as a metric tsv
Closed, DeclinedPublic

Description

@CCicalese_WMF wrote this script which we should puppetize and deploy to run and generate a "mediawiki deployments" metric. Because it's useful for folks looking to annotate graphs or compute metrics relative to deployments. CC-ing @greg to see if he has thoughts on this or already has something similar.

Along with the script we'd need to ensure: latest on a shallow clone of mediawiki-core.

OUTPUT=/srv/published-datasets/periodic/reports/metrics/pingback/releases.tsv
INPUT=/srv/mediawiki/core

cd $INPUT
git log --tags --since 2017-03-28 --simplify-by-decoration --pretty="format:%ci	%d"   | sed 's/(tag: //' | sed 's/[,)].*$//' > $OUTPUT

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 8:27 PM
fdans moved this task from Incoming to Backlog (Later) on the Analytics board.Mar 8 2018, 6:09 PM
Milimetric triaged this task as Medium priority.Apr 23 2018, 4:46 PM
Milimetric moved this task from Backlog (Later) to Dashiki on the Analytics board.
Nuria moved this task from Dashiki to Deprioritized on the Analytics board.Jun 8 2020, 7:44 PM
Milimetric closed this task as Declined.Aug 31 2020, 5:29 PM

manually merged into T168573, to make it easier to triage and decide on the future of Dashiki.